> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# リストの投稿

> リストのタイムラインから投稿を取得する

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

List Posts エンドポイントを使用すると、リストのタイムラインから投稿を取得できます。リストに含まれるすべてのメンバーによる最新の投稿を取得できます。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="リストのタイムライン" icon="list">
    リストメンバーの投稿を取得します
  </Card>

  <Card title="キュレーションされたフィード" icon="stream">
    キュレーションされたコンテンツフィードにアクセスします
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## エンドポイント
</div>

| Method | Endpoint                                                | Description  |
| :----- | :------------------------------------------------------ | :----------- |
| GET    | [`/2/lists/:id/tweets`](/ja/x-api/lists/get-list-posts) | リストから投稿を取得する |

***

<div id="example-request">
  ## リクエストの例
</div>

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890/tweets?\
tweet.fields=created_at,author_id,public_metrics&\
expansions=author_id&\
user.fields=username&\
max_results=100" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の[Project と App](/ja/resources/fundamentals/developer-apps)
  * App の[キーとトークン](/ja/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="クイックスタート" icon="rocket" href="/ja/x-api/lists/list-tweets/quickstart">
    リストから投稿を取得する
  </Card>

  <Card title="統合ガイド" icon="book" href="/ja/x-api/lists/list-tweets/integrate">
    主要な概念とベストプラクティス
  </Card>

  <Card title="リストルックアップ" icon="list" href="/ja/x-api/lists/list-lookup/introduction">
    リストの詳細を取得する
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/lists/list-tweets-lookup">
    エンドポイントの完全なドキュメント
  </Card>
</CardGroup>
